#
# spec file for package ghc-conduit-extra
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name conduit-extra
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.1.17
Release:        4.1
Summary:        Batteries included conduit: adapters for common libraries
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
The conduit package itself maintains relative small dependencies. The purpose
of this package is to collect commonly used utility functions wrapping other
library dependencies, without depending on heavier-weight dependencies.
The basic idea is that this package should only depend on haskell-platform
packages and conduit.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Wed May  9 2018 psimons@suse.com
- Update to version 1.1.17 revision 1.
  A more detailed change log is not available.
* Wed Sep 13 2017 psimons@suse.com
- Update to version 1.1.17.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon May 22 2017 psimons@suse.com
- Update to version 1.1.16 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 1.1.15 revision 1 with cabal2obs.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 1.1.15 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 1.1.13.3 with cabal2obs.
* Sun Jul 17 2016 psimons@suse.com
- Update to version 1.1.13.2 revision 0 with cabal2obs.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to 1.1.13.2
  * Fix alignment issues on non-X86 archs
* Sun Apr  3 2016 mimi.vx@gmail.com
- update to 1.1.13.1
  * Add sinkStorable and sinkStorableEx
* Thu Mar 31 2016 mimi.vx@gmail.com
- update to 1.1.12.1
  * Add sourceProcessWithStreams
  * Fix accidentally breaking change in sourceProcessWithConsumer type signature
* Mon Mar  7 2016 mimi.vx@gmail.com
- update to 1.1.11
  * withCheckedProcessCleanup
* Wed Feb 17 2016 mimi.vx@gmail.com
- update to 1.1.10.1
  * multiple combinator for Data.Conduit.Zlib
* Mon Feb 15 2016 mimi.vx@gmail.com
- update to 1.1.9.3
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 1.1.9.2
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 1.1.9.1
* Sun May 31 2015 mimi.vx@gmail.com
- update to 1.1.9
  * detectUtf
* Sun May 17 2015 mimi.vx@gmail.com
- update to 1.1.8
  * Adding buffer size to sourceHandleRange [#213](https://github.com/snoyberg/conduit/pull/213)
  * Make Binary.lines O(n) instead of O(n^2) [#209](https://github.com/snoyberg/conduit/pull/209)
* Wed Apr 22 2015 mimi.vx@gmail.com
- initial commit
